Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List issue documents

GET/workspaces/{organizationId}/issues/{issueId}/documents
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Responses
200

Documents that link to this issue

documentsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
titlestringrequired
iconstring | nullrequired
contentobject[] | stringrequired
Show properties
Any of:
object[]
Array of object
object
string
string
contentFormatstringrequired
Allowed:blocksmarkdowncanvas
slugstring | nullrequired
projectIdstring | nullrequired
issueIdstring | nullrequired
initiativeIdstring | nullrequired
parentDocumentIdstring | nullrequired
spaceIdstring | nullrequired
isTemplatebooleanrequired
createdByIdstringrequired
updatedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
trashedAtstring | nullrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/issues/string/documents' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "documents": [
    {
      "id": "string",
      "organizationId": "string",
      "title": "string",
      "icon": "string",
      "content": [
        {
          "property1": null,
          "property2": null
        }
      ],
      "contentFormat": "blocks",
      "slug": "string",
      "projectId": "string",
      "issueId": "string",
      "initiativeId": "string",
      "parentDocumentId": "string",
      "spaceId": "string",
      "isTemplate": true,
      "createdById": "string",
      "updatedById": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "trashedAt": "string"
    }
  ]
}

Was this page helpful?